<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Lifinity Dungeon: cpp_filrouge_iscj_allemann/include/Character/Wizard.hpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Lifinity Dungeon
   &#160;<span id="projectnumber">6</span>
   </div>
   <div id="projectbrief">The Lifinity Dungeon is a dungeon with an infinity of room. After each room, you found a harder room. This is why you will pass the eternity of your life in this dungeon</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_7b4dd9274471389300495e9c763ca813.html">cpp_filrouge_iscj_allemann</a></li><li class="navelem"><a class="el" href="dir_e5b3fe71963387781ba01d2a56ee1874.html">include</a></li><li class="navelem"><a class="el" href="dir_8082b9977330bac1504bd0163637bac5.html">Character</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a>  </div>
  <div class="headertitle">
<div class="title">Wizard.hpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>: Header file, for the class "Wizard.cpp", which one is a type of Hero.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;iostream&gt;</code><br />
<code>#include &lt;memory&gt;</code><br />
<code>#include &quot;<a class="el" href="_character_class_8hpp_source.html">./CharacterClass.hpp</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_i_object_8hpp_source.html">../Object/IObject.hpp</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_potion_8hpp_source.html">../Object/Potion.hpp</a>&quot;</code><br />
</div>
<p><a href="_wizard_8hpp_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_wizard.html">He_Arc::RPG::Wizard</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class for the <a class="el" href="class_he___arc_1_1_r_p_g_1_1_wizard.html" title="Class for the Wizard, a class of character (CharacterClass specialisation) The wizards have the abili...">Wizard</a>, a class of character (<a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html" title="Class for the CharacterClass. A character class is the &quot;type&quot; (the class) of a character,...">CharacterClass</a> specialisation) The wizards have the ability to use some spells. They solve the problems with their intelligence.  <a href="class_he___arc_1_1_r_p_g_1_1_wizard.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>: Header file, for the class "Wizard.cpp", which one is a type of Hero. </p>
<p>Domain : Haute Ecole Arc (HE-Arc) Engineering (Delémont-Neuchâtel) IT department Module : C++ Programmation, 1242.3 </p><dl class="section author"><dt>Author</dt><dd>: Jonas Allemann ISC1j</dd></dl>
<p>Project : Fil Rouge Description : The aim of this project is to put into practice the concepts seen during the course with a C++ project around a RPG game</p>
<dl class="section version"><dt>Version</dt><dd>: 3.0 </dd></dl>
<dl class="section date"><dt>Date</dt><dd>: 28.03.2021</dd></dl>
<dl class="section copyright"><dt>Copyright</dt><dd>Copyright (c) 2021 </dd></dl>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
